String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/g,"");
}
//**************************************************************************
function fFiltrar(){
	document.getElementById("TxtAc").value="F";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function fCancelar(){
	document.getElementById("TxtAc").value="L";
		document.getElementById("Frm").submit();
}
function flEliminar(){
	var id=jVal(gv("TxtId"));
	var Rpta = confirm("Esta seguro que desea eliminar?")		
	if (Rpta==true){
		var R=AJ("aj.php?Cmd=V2&P1="+id);
		if(R=="VEN"){
			alert("No se puede eliminar. Una o mas ventas relacionadas");
			return;
		}
		if(R=="COT"){
			alert("No se puede eliminar. Una o mas proformas relacionadas");
			return;
		}
		document.getElementById("TxtAc").value="E";
		document.getElementById("Frm").submit();
	}
}
//++
function fGuardar(){
	var id=jVal(gv("TxtId"));
	var Dni=gv("TxtDni");
	var Nom=gv("TxtNom");
	var Ruc=gv("TxtRuc");
	var tip=gv("TipDoc");
	
	var pai=gv("UbiPai");
	var dep=gv("UbiDep");
	var pro=gv("UbiPro");
	var dis=gv("UbiDis");
	var rnd=gv("Rnd");
	//
	if(jL(Nom)==0){
		alert("Ingrese el nombre del cliente");
		document.getElementById("TxtNom").focus();
		return;
	}
	
	if(jL(Ruc)>0){
		if(jL(Ruc)!=11){
			alert("El numero de ruc debe tener 11 digitos");
			document.getElementById("TxtRuc").focus();
			return;
		}
	}
	if(jL(Dni)>0){
		if(jL(tip)==0){
			alert("Seleccion el tipo de documento de identidad");
			document.getElementById("TipDoc").focus();
			return;
		}
		if(tip=="DNI"){
			if(jL(Dni)!=8){
				alert("El numero de DNI debe tener 8 digitos");
				document.getElementById("TxtDni").focus();
				return;				
			}
		}
	}
	if(tip=="DNI"){
		if(jL(Dni)!=8){
			alert("El numero de DNI debe tener 8 digitos");
			document.getElementById("TxtDni").focus();
			return;	
		}
		
	}
	if(jL(Ruc)==0 && jL(Dni)==0){
		alert("Ingrese el numero de RUC o numero de documento de identidad");
		document.getElementById("TipDoc").focus();
		return;				
	}
	if(jL(Dni)>0 || jL(Ruc)>0){
		var R=AJ("aj.php?Cmd=V1&P1="+id+"&P2="+Ruc+"&P3="+Dni);
		if(R=="RR"){
			alert("Numero de ruc ya registrado");
			jF("TxtRuc");
			return;
		}
		if(R=="DR"){
			alert("Numero de dni ya registrado");
			jFocus("TxtRuc");
			return;
		}		
	}
	if(jL(pai)==0){
		alert("Seleccione un pais");
		jFocus("TxtRuc");
		return;
	}
	if(pai=="PERU"){
		if(jL(Ruc)==0 && tip!="DNI"){
			alert("Para el pais PERU el tipo de documento debe ser DNI");
			jFocus("TipDoc");
			return;
		}
		if(jL(Ruc)==0 && jL(tip)==0){
			alert("Para el pais PERU debe ingresar el numero de RUC o DNI");
			jFocus("TipDoc");
			return;
		}
		if(jL(dep)==0){
			alert("Para el pais PERU seleccione el departamento / provincia / distrito");
			jFocus("CmdUbi");
			return;
		}
		if(jL(pro)==0){
			alert("Para el pais PERU seleccione el departamento / provincia / distrito");
			jFocus("CmdUbi");
			return;
		}
		if(jL(dis)==0){
			alert("Para el pais PERU seleccione el departamento / provincia / distrito");
			jFocus("CmdUbi");
			return;
		}
	}else{
		if(jL(Ruc)>0){
			alert("EL ruc solo se aplica al pais PERU");
			jFocus("TxtRuc");
			return;
		}
		if(tip=="DNI"){
			alert("EL DNI solo se aplica al pais PERU");
			jFocus("TipDoc");
			return;
		}
		if(jL(dep)>0){
			alert("Departamento / provincia / distrito solo se aplica al pais PERU");
			jFocus("CmdUbi");
			return;
		}
		if(jL(pro)>0){
			alert("Para el pais PERU seleccione el departamento / provincia / distrito");
			jFocus("CmdUbi");
			return;
		}
		if(jL(dis)>0){
			alert("Para el pais PERU seleccione el departamento / provincia / distrito");
			jFocus("CmdUbi");
			return;
		}
	}
	//
	if(jL(rnd)==0){
		alert("Determine si el cliente sera usado para funciones random");
		jFocus("Rnd");
		return;
	}
	//
	if(document.getElementById("CmdG").value=="Guardar"){
		document.getElementById("TxtAc").value="G";
	}else{
		document.getElementById("TxtAc").value="M";
	}
	document.getElementById("CmdG").disabled=true;
	document.getElementById("Frm").submit();
}
/**************************************************************************
	onkeypress="return pulsar(event);"
**************************************************************************/
function pulsar(e) { 	
	var tecla = (document.all) ? e.keyCode :e.which; 
	var Obj=event.srcElement.name;	
	if(Obj=="TxtNom"){
		if(tecla==13){			
			document.getElementById('CmdG').click();			
		}
	}	
	return (tecla!=13); 
} 
//**************************************************************************
function SelUbi(){
	var pai=gv("UbiPai");
	if(pai!="PERU"){
		alert("Solo valido para el pais PERU");
		return;
	}
	Ow('sis_departamento_p.php?W=CLI',810*ZO(),510*ZO());
}

function fRecep(Dep,Pro,Dis){
	sv("UbiDep",Dep);
	sv("UbiPro",Pro);
	sv("UbiDis",Dis);
	jF("UbiPai");
}

function SetLima(){
	sv("UbiPai","PERU");
	sv("UbiDep","LIMA");
	sv("UbiPro","LIMA");
	sv("UbiDis","LIMA");
}
function ClsUbi(){
	sv("UbiDep","");
	sv("UbiPro","");
	sv("UbiDis","");
}